package com.bonus.sgzb.material.mapper;

import com.bonus.sgzb.base.api.domain.SltAgreementInfo;
import com.bonus.sgzb.base.api.domain.BackApplyInfo;
import com.bonus.sgzb.material.domain.BackRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description  综合查询--退料记录查询
 * @author hay
 * @date   2024/2/26 14:19
 */
@Mapper
public interface BackRecordMapper {

    /**
     * 综合查询--退料记录列表
     * @param bean
     * @return List<BackRecord>
     */
    List<BackRecord> getBackRecordList(BackRecord bean);


    int insertCheckDetails(BackApplyInfo backApplyInfo);

    int updateMaStatus(@Param("maId") int maId, @Param("maStatus")  String maStatus);

    List<BackApplyInfo> getAllList(BackApplyInfo backApplyInfo);

    List<SltAgreementInfo> getStlInfo(BackApplyInfo bean);

    int updateStlInfo(@Param("info") SltAgreementInfo info,@Param("record") BackApplyInfo record);

    int updateStlInfoTwo(@Param("info") SltAgreementInfo info,@Param("record") BackApplyInfo record, @Param("backNum") Double backNum);

    int insStlInfoTwo(@Param("info")SltAgreementInfo info, @Param("many")Double many);
}
